Ruby – Installer la dernière version (2.1.2) sur 1and1 mutualisé.
5 (100%) 1 vote

Petit mémo sur l’installation de la dernière version de Ruby sur un hébergement 1and1 mutualisé (1&1 illimité dans mon cas).

Pré-requis

Un accès ssh.

Version de Ruby chez 1and1

Pour connaitre la version disponible sur votre hébergement :

Résultat :

Installation de LibYAML

A la racine de votre hébergement, créez un répertoire libyaml :

Récupérez la dernière version de LibYAML sur le site de l’auteur : http://pyyaml.org/wiki/LibYAML
A la rédaction de ce mémo, c’est la version 0.1.5.

Il faut maintenant récupérer le répertoire complet de votre hébergement :

Vous devriez avoir un résultat comme celui-ci :

Le répertoire d’installation sera donc :

Remplacez le répertoire ci-dessus et lancez la compilation puis l’installation :

Installation de Ruby

Afin d’installer facilement plusieurs versions, créez un répertoire correspondant à la version que vous installez.

A la rédaction de ce mémo, c’est la version 2.1.2 : https://www.ruby-lang.org/en/downloads/.

Récupérez la dernière version de Ruby grâce au lien présent sur le site officiel :

Compilez les sources en remplaçant les chemins des répertoires par les votre :

Éditez le fichier /kunden/homepages/46/<id>/htdocs/.bash_profile et ajoutez la ligne :

Vérification

Déconnectez-vous de votre session SSH puis reconnectez-vous pour prendre en compte la modification du fichier .bash_profile.

Vérifiez la version de Ruby :

Résultat :